%define ver_major 0.13

Name: gnome-mag
Version: %ver_major.1
Release: alt1

Summary: %name is a screen magnifier for the GNOME desktop
License: LGPL
Group: Graphical desktop/GNOME
Url: http://developer.gnome.org/projects/gap

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.6.4

Requires: libgtk+2 >= %gtk_ver
Requires: lib%name = %version-%release

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-common

BuildRequires: gcc-c++ libat-spi-devel libXt-devel libXtst-devel libbonobo2-devel libpopt-devel perl-XML-Parser

%description
This package contains a screen magnifier, which allows you to zoom in on
portions of the desktop. It is expressly designed for users with low
vision who wish to use the GNOME desktop.

%package -n lib%name
Summary: Screen magnification library for the GNOME desktop
Group: System/Libraries

%description -n lib%name
This package contains shared version of lib%name

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains headers and development libraries for GNOME Screen
magnification library.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make

%install
%makeinstall

%find_lang --with-gnome %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/orbit-2.0/GNOME_Magnifier_module.so
%_libdir/bonobo/servers/*
%_datadir/%name
%_datadir/idl/*
%doc README AUTHORS NEWS ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%exclude %_libdir/orbit-2.0/*.la

%changelog
* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.13.1-alt1
- new version 0.13.1 (with rpmrb script)
- updated filelist

* Fri May 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.12.5-alt1
- new version 0.12.5 (with rpmrb script)

* Sun May 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.12.4-alt1
- new version (0.12.4)
- fixed dependencies

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.12.2-alt1
- new version

* Wed Sep 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.11.8-alt1
- 0.11.8

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.11-alt1
- 0.10.11

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.6-alt1
- 0.10.6

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.3-alt1
- First build for Sisyphus.
